Ubuntu 下安装php5-gd 不能使用imagerotate函数的解决方法

Posted by zuzhihui in Linux技术 on 2009/03/30 with No Comments

ubuntu自带的php-gd库是基于标准gd库编译的,不是用的php的gd库,所以不支持此函数。
解决方法:
首选用phpinfo函数检查下GD Version -> 2.0 higher
1.先下载php5-gd的原始码
#apt-get source php5-gd
下载好了之后会自动解压缩,进入目录后修改./debian/rules,找到–with-gd=shared,/usr,将之后的”,/usr”删掉,变成–with-gd=shared
2.将php5打包
#dpkg-buildpackage
在这个过程中,如果出现需要安装一些(!?)套件的信息,将他们通过-apt-get install 安装好后,便可以顺利执行,打包的过程,这个时候可以做别的事情,因为很久
3.打包后回到上一层目录,出现许多打包完成的deb档案,将php5-gd解开到暂存的文件夹
#dpkg-deb -x php5-gd*.deb test
4.将暂存文件夹内的gd.so取代原有系统的gd.so(应该存在/usr/lib/php5/20060613 lfs/gd.so)
5.重新启动apache2
再用phpinfo函数确认下GD Version -> bundled(2.034 compatible)

标签:

Leave a Comment

Back to Top

2007-2013 © 北京瑞豪开源科技有限公司 京ICP备13004995号-2